Skip to content
Platform / Docs / Photo avatar API

API Reference

Photo avatar API

POST phototalk-api ID 20

Build a talking or singing avatar video from a photo and driving audio.

POST https://xiaoapis.com/api/video/phototalk

Overview

  • 照片 + 音频驱动
  • 异步生成
  • 回调通知

Use cases

  • 照片驱动口播
  • 虚拟形象视频
  • 营销口播
Conventions
  • Gateway · https://xiaoapis.com
  • Auth · send key (query or JSON body, as this API specifies)
  • Response · JSON. Check the business code and the HTTP status, not only HTTP 200

Authentication

Send the platform API key (query parameter key or JSON field key, as this page specifies). Create one in API key management.

POST https://xiaoapis.com/api/video/phototalk
Content-Type: application/json

{
  "key": "YOUR_API_KEY"
}

Request example

https://xiaoapis.com/api/video/phototalk?key=你的密钥

Details

请求HEADER:

名称值
Content-Typeapplication/json

请求参数说明:

名称必填类型示例值说明
key是string35kj5jnlj53453kl5j43nj5接口密钥,在控制台->密钥管理查看
image是stringhttps://a1t/images/store4.jpg 网络图片URL
audio是stringmp3
音频地址
resolution否string480p480p  、720p
seed否string-1
notify是stringhttps://xx.com/xxx回调地址 ( 任务推送地址)

返回参数说明:

名称类型说明
codeint状态码
msgstring状态信息
datastring请求结果数据集
- task_idstring任务ID
exec_timefloat执行耗时
user_ipstring客户端IP

FAQ

超凡数字人和高清数字人有什么区别?

超凡数字人侧重照片驱动出镜;高清合成侧重人物视频驱动。按素材类型选择对应接口。

需要什么输入?

清晰的人物/主体照片与驱动音频(公网 URL),以及 API Key。

如何获取结果?

创建任务后通过回调或任务查询获取成片地址。

照片有什么要求?

建议半身、正面、清晰;具体分辨率与大小限制见接口文档。

可以配合 TTS 吗?

可以。先用 TTS 或声音克隆生成音频,再提交本接口。

Full console doc (with the debugger):/doc/20